Upstream information

CVE-2013-6456 at MITRE

Description

The LXC driver (lxc/lxc_driver.c) in libvirt 1.0.1 through 1.2.1 allows local users to (1) delete arbitrary host devices via the virDomainDeviceDettach API and a symlink attack on /dev in the container; (2) create arbitrary nodes (mknod) via the virDomainDeviceAttach API and a symlink attack on /dev in the container; and cause a denial of service (shutdown or reboot host OS) via the (3) virDomainShutdown or (4) virDomainReboot API and a symlink attack on /dev/initctl in the container, related to "paths under /proc/$PID/root" and the virInitctlSetRunLevel function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:A/AC:M/Au:S/C:N/I:P/A:C
Access Vector Adjacent Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Complete
SUSE Bugzilla entries: 857490 [RESOLVED / FIXED], 868943 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Patchnames:
sledsp3-libvirt
SUSE Linux Enterprise Desktop 12 SP3
  • libvirt >= 3.3.0-4.28
  • libvirt-admin >= 3.3.0-4.28
  • libvirt-client >= 3.3.0-4.28
  • libvirt-daemon >= 3.3.0-4.28
  • libvirt-daemon-config-network >= 3.3.0-4.28
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-interface >= 3.3.0-4.28
  • libvirt-daemon-driver-libxl >= 3.3.0-4.28
  • libvirt-daemon-driver-lxc >= 3.3.0-4.28
  • libvirt-daemon-driver-network >= 3.3.0-4.28
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.28
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-qemu >= 3.3.0-4.28
  • libvirt-daemon-driver-secret >= 3.3.0-4.28
  • libvirt-daemon-driver-storage >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.28
  • libvirt-daemon-lxc >= 3.3.0-4.28
  • libvirt-daemon-qemu >= 3.3.0-4.28
  • libvirt-daemon-xen >= 3.3.0-4.28
  • libvirt-doc >= 3.3.0-4.28
  • libvirt-libs >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libvirt
SUSE Linux Enterprise Module for Basesystem 15
  • libvirt-libs >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libvirt-libs
SUSE Linux Enterprise Module for Server Applications 15
  • libvirt >= 4.0.0-7.4
  • libvirt-admin >= 4.0.0-7.4
  • libvirt-client >= 4.0.0-7.4
  • libvirt-daemon >= 4.0.0-7.4
  • libvirt-daemon-config-network >= 4.0.0-7.4
  • libvirt-daemon-config-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-interface >= 4.0.0-7.4
  • libvirt-daemon-driver-libxl >= 4.0.0-7.4
  • libvirt-daemon-driver-lxc >= 4.0.0-7.4
  • libvirt-daemon-driver-network >= 4.0.0-7.4
  • libvirt-daemon-driver-nodedev >= 4.0.0-7.4
  • libvirt-daemon-driver-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-qemu >= 4.0.0-7.4
  • libvirt-daemon-driver-secret >= 4.0.0-7.4
  • libvirt-daemon-driver-storage >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-core >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-disk >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-logical >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-7.4
  • libvirt-daemon-hooks >= 4.0.0-7.4
  • libvirt-daemon-lxc >= 4.0.0-7.4
  • libvirt-daemon-qemu >= 4.0.0-7.4
  • libvirt-daemon-xen >= 4.0.0-7.4
  • libvirt-devel >= 4.0.0-7.4
  • libvirt-doc >= 4.0.0-7.4
  • libvirt-lock-sanlock >= 4.0.0-7.4
  • libvirt-nss >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libvirt
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Patchnames:
slessp3-libvirt
SUSE Linux Enterprise Server 11 SP4
  • libvirt >= 1.2.5-3.76
  • libvirt-client >= 1.2.5-3.76
  • libvirt-client-32bit >= 1.2.5-3.76
  • libvirt-doc >= 1.2.5-3.76
  • libvirt-lock-sanlock >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libvirt
SUSE Linux Enterprise Server 12 SP3
  • libvirt >= 3.3.0-4.28
  • libvirt-admin >= 3.3.0-4.28
  • libvirt-client >= 3.3.0-4.28
  • libvirt-daemon >= 3.3.0-4.28
  • libvirt-daemon-config-network >= 3.3.0-4.28
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-interface >= 3.3.0-4.28
  • libvirt-daemon-driver-libxl >= 3.3.0-4.28
  • libvirt-daemon-driver-lxc >= 3.3.0-4.28
  • libvirt-daemon-driver-network >= 3.3.0-4.28
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.28
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-qemu >= 3.3.0-4.28
  • libvirt-daemon-driver-secret >= 3.3.0-4.28
  • libvirt-daemon-driver-storage >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.28
  • libvirt-daemon-lxc >= 3.3.0-4.28
  • libvirt-daemon-qemu >= 3.3.0-4.28
  • libvirt-daemon-xen >= 3.3.0-4.28
  • libvirt-doc >= 3.3.0-4.28
  • libvirt-libs >= 3.3.0-4.28
  • libvirt-lock-sanlock >= 3.3.0-4.28
  • libvirt-nss >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libvirt
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Patchnames:
slessp3-libvirt
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
  • libvirt-devel-32bit >= 1.0.5.9-0.9.1
Patchnames:
sdksp3-libvirt
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt-devel >= 1.2.5-3.76
  • libvirt-devel-32bit >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvirt-devel >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
  • libvirt-devel-32bit >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
openSUSE 13.1
  • libvirt >= 1.1.2-2.26.1
  • libvirt-client >= 1.1.2-2.26.1
  • libvirt-client-32bit >= 1.1.2-2.26.1
  • libvirt-client-debuginfo >= 1.1.2-2.26.1
  • libvirt-client-debuginfo-32bit >= 1.1.2-2.26.1
  • libvirt-daemon >= 1.1.2-2.26.1
  • libvirt-daemon-config-network >= 1.1.2-2.26.1
  • libvirt-daemon-config-nwfilter >= 1.1.2-2.26.1
  • libvirt-daemon-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-interface >= 1.1.2-2.26.1
  • libvirt-daemon-driver-interface-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-libxl >= 1.1.2-2.26.1
  • libvirt-daemon-driver-libxl-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-lxc >= 1.1.2-2.26.1
  • libvirt-daemon-driver-lxc-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-network >= 1.1.2-2.26.1
  • libvirt-daemon-driver-network-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-nodedev >= 1.1.2-2.26.1
  • libvirt-daemon-driver-nodedev-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-nwfilter >= 1.1.2-2.26.1
  • libvirt-daemon-driver-nwfilter-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-qemu >= 1.1.2-2.26.1
  • libvirt-daemon-driver-qemu-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-secret >= 1.1.2-2.26.1
  • libvirt-daemon-driver-secret-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-storage >= 1.1.2-2.26.1
  • libvirt-daemon-driver-storage-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-uml >= 1.1.2-2.26.1
  • libvirt-daemon-driver-uml-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-vbox >= 1.1.2-2.26.1
  • libvirt-daemon-driver-vbox-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-driver-xen >= 1.1.2-2.26.1
  • libvirt-daemon-driver-xen-debuginfo >= 1.1.2-2.26.1
  • libvirt-daemon-lxc >= 1.1.2-2.26.1
  • libvirt-daemon-qemu >= 1.1.2-2.26.1
  • libvirt-daemon-uml >= 1.1.2-2.26.1
  • libvirt-daemon-vbox >= 1.1.2-2.26.1
  • libvirt-daemon-xen >= 1.1.2-2.26.1
  • libvirt-debugsource >= 1.1.2-2.26.1
  • libvirt-devel >= 1.1.2-2.26.1
  • libvirt-devel-32bit >= 1.1.2-2.26.1
  • libvirt-doc >= 1.1.2-2.26.1
  • libvirt-lock-sanlock >= 1.1.2-2.26.1
  • libvirt-lock-sanlock-debuginfo >= 1.1.2-2.26.1
  • libvirt-login-shell >= 1.1.2-2.26.1
  • libvirt-login-shell-debuginfo >= 1.1.2-2.26.1
  • libvirt-python >= 1.1.2-2.26.1
  • libvirt-python-debuginfo >= 1.1.2-2.26.1
Patchnames:
openSUSE-2014-328
openSUSE Leap 15.0
  • libvirt-client >= 4.0.0-lp150.6.18
  • libvirt-daemon >= 4.0.0-lp150.6.18
  • libvirt-daemon-config-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-interface >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nodedev >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nwfilter >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-qemu >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-secret >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-core >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-disk >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-logical >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-qemu >= 4.0.0-lp150.6.18
  • libvirt-libs >= 4.0.0-lp150.6.18
Patchnames:
openSUSE Leap 15.0 GA libvirt-client
openSUSE Leap 42.1
  • libvirt >= 1.2.18.1-3.2
  • libvirt-client >= 1.2.18.1-3.2
  • libvirt-daemon >= 1.2.18.1-3.2
  • libvirt-daemon-config-network >= 1.2.18.1-3.2
  • libvirt-daemon-config-nwfilter >= 1.2.18.1-3.2
  • libvirt-daemon-driver-interface >= 1.2.18.1-3.2
  • libvirt-daemon-driver-libxl >= 1.2.18.1-3.2
  • libvirt-daemon-driver-lxc >= 1.2.18.1-3.2
  • libvirt-daemon-driver-network >= 1.2.18.1-3.2
  • libvirt-daemon-driver-nodedev >= 1.2.18.1-3.2
  • libvirt-daemon-driver-nwfilter >= 1.2.18.1-3.2
  • libvirt-daemon-driver-qemu >= 1.2.18.1-3.2
  • libvirt-daemon-driver-secret >= 1.2.18.1-3.2
  • libvirt-daemon-driver-storage >= 1.2.18.1-3.2
  • libvirt-daemon-driver-uml >= 1.2.18.1-3.2
  • libvirt-daemon-driver-vbox >= 1.2.18.1-3.2
  • libvirt-daemon-lxc >= 1.2.18.1-3.2
  • libvirt-daemon-qemu >= 1.2.18.1-3.2
  • libvirt-daemon-xen >= 1.2.18.1-3.2
Patchnames:
openSUSE Leap 42.1 GA libvirt
openSUSE Leap 42.3
  • libvirt >= 3.3.0-4.11
  • libvirt-client >= 3.3.0-4.11
  • libvirt-daemon >= 3.3.0-4.11
  • libvirt-daemon-config-network >= 3.3.0-4.11
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.11
  • libvirt-daemon-driver-interface >= 3.3.0-4.11
  • libvirt-daemon-driver-libxl >= 3.3.0-4.11
  • libvirt-daemon-driver-lxc >= 3.3.0-4.11
  • libvirt-daemon-driver-network >= 3.3.0-4.11
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.11
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.11
  • libvirt-daemon-driver-qemu >= 3.3.0-4.11
  • libvirt-daemon-driver-secret >= 3.3.0-4.11
  • libvirt-daemon-driver-storage >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.11
  • libvirt-daemon-driver-uml >= 3.3.0-4.11
  • libvirt-daemon-driver-vbox >= 3.3.0-4.11
  • libvirt-daemon-lxc >= 3.3.0-4.11
  • libvirt-daemon-qemu >= 3.3.0-4.11
  • libvirt-daemon-xen >= 3.3.0-4.11
  • libvirt-libs >= 3.3.0-4.11
Patchnames:
openSUSE Leap 42.3 GA libvirt
openSUSE Tumbleweed
  • libvirt >= 2.5.0-1.1
  • libvirt-admin >= 2.5.0-1.1
  • libvirt-client >= 2.5.0-1.1
  • libvirt-daemon >= 2.5.0-1.1
  • libvirt-daemon-config-network >= 2.5.0-1.1
  • libvirt-daemon-config-nwfilter >= 2.5.0-1.1
  • libvirt-daemon-driver-interface >= 2.5.0-1.1
  • libvirt-daemon-driver-libxl >= 2.5.0-1.1
  • libvirt-daemon-driver-lxc >= 2.5.0-1.1
  • libvirt-daemon-driver-network >= 2.5.0-1.1
  • libvirt-daemon-driver-nodedev >= 2.5.0-1.1
  • libvirt-daemon-driver-nwfilter >= 2.5.0-1.1
  • libvirt-daemon-driver-qemu >= 2.5.0-1.1
  • libvirt-daemon-driver-secret >= 2.5.0-1.1
  • libvirt-daemon-driver-storage >= 2.5.0-1.1
  • libvirt-daemon-driver-uml >= 2.5.0-1.1
  • libvirt-daemon-driver-vbox >= 2.5.0-1.1
  • libvirt-daemon-lxc >= 2.5.0-1.1
  • libvirt-daemon-qemu >= 2.5.0-1.1
  • libvirt-daemon-uml >= 2.5.0-1.1
  • libvirt-daemon-vbox >= 2.5.0-1.1
  • libvirt-daemon-xen >= 2.5.0-1.1
  • libvirt-devel >= 2.5.0-1.1
  • libvirt-devel-32bit >= 2.5.0-1.1
  • libvirt-doc >= 2.5.0-1.1
  • libvirt-libs >= 2.5.0-1.1
  • libvirt-lock-sanlock >= 2.5.0-1.1
  • libvirt-nss >= 2.5.0-1.1
Patchnames:
openSUSE Tumbleweed GA libvirt


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 libvirt Released
SUSE Linux Enterprise SDK 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libvirt Released